Bug 1017139 - [deploy]Failed to migrate gears to sprint35 due to "undefined method `respond_to' for OpenShift::GearUpgradeExtension"
[deploy]Failed to migrate gears to sprint35 due to "undefined method `respond...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 06:15 EDT by Meng Bo
Modified: 2015-05-14 19:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:34:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-10-09 06:15:54 EDT
Description of problem:
Create apps on devenv-stage_488, upgrade the server and run datastore migration. Try to upgrade the gears via oo-admin-upgrade, all gears will fail with following error:

"Caught an exception during upgrade: undefined method `respond_to' for #<OpenShift::GearUpgradeExtension:0x0000000240e410>"

Version-Release number of selected component (if applicable):
devenv-stage_488 to devenv_3874

How reproducible:
always

Steps to Reproduce:
1.Create test data on devenv-stage_488
2.Upgrade the server and run compatible migration for datastore
3.Upgrade the gears via oo-admin-upgrade
# oo-admin-upgrade upgrade-gear --version  2.0.35 --ignore-cartridge-version --login bmengm --upgrade-gear  52551d13f5fb8a7069000007 --app-name php

Actual results:
# oo-admin-upgrade upgrade-gear --version 2.0.35 --ignore-cartridge-version --login bmengm --upgrade-gear 52551d13f5fb8a7069000007 --app-name php

{"login":"bmengm","app_name":"php","gear_uuid":"52551d13f5fb8a7069000007","version":"2.0.35","errors":["Gear upgrade result is marked incomplete"],"warnings":[],"times":{"time_upgrade_on_node_measured_from_broker":841,"time_total_upgrade_gear_measured_from_broker":1381311913708},"hostname":"ip-10-167-9-254","remote_upgrade_result":{"gear_uuid":"52551d13f5fb8a7069000007","hostname":"ip-10-167-9-254","steps":{"inspect_gear_state":{"status":"complete","errors":[],"context":{}},"pre_upgrade":{"status":"complete","errors":[],"context":{}},"compute_itinerary":{"status":"complete","errors":[],"context":{}},"stop_gear":{"status":"complete","errors":[],"context":{}}},"upgrade_complete":false,"errors":[{"message":"undefined method `respond_to' for #<OpenShift::GearUpgradeExtension:0x0000000240e410>","backtrace":"/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.0/lib/openshift-origin-node/model/upgrade.rb:343:in `pre_cartridge_upgrade'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.0/lib/openshift-origin-node/model/upgrade.rb:381:in `upgrade_cartridges'\n/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.0/lib/openshift-origin-node/model/upgrade.rb:159:in `execute'\n/opt/rh/ruby193/root/usr/libexec/mcollective/mcollective/agent/openshift.rb:243:in `upgrade_action'\n/opt/rh/ruby193/root/usr/share/ruby/mcollective/rpc/agent.rb:86:in `handlemsg'\n/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:126:in `block (2 levels) in dispatch'\n/opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'\n/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:125:in `block in dispatch'"}],"warnings":[],"itinerary":{"php-5.3":"incompatible"},"times":{"start_time":1381311914470,"upgrade_on_node_measured_from_node":67},"log":["Beginning 2.0.35 upgrade for 52551d13f5fb8a7069000007","Inspecting gear at /var/lib/openshift/52551d13f5fb8a7069000007","Migrating gear at /var/lib/openshift/52551d13f5fb8a7069000007","Stopping gear on node 'ip-10-167-9-254'","Caught an exception during upgrade: undefined method `respond_to' for #<OpenShift::GearUpgradeExtension:0x0000000240e410>","Total upgrade time on node (ms): 67"]}}


Expected results:
Gear upgrade should be successful.

Additional info:
Comment 2 Meng Bo 2013-10-10 07:15:58 EDT
Checked on devenv_3881, issue has been fixed, move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.